Subject: bug#37371: CMake’s “ctest” doesn’t know about X.509 certificates

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Tue, 10 Sep 2019 19:05:18 +0200

Ricardo,

Ricardo Wurmus 写道：
> This is the correct way, in my opinion.  The user of libcurl is 
> supposed
> to handle environment variable lookup.

I'm aware of this, but it seems like some users don't do this.

>> On #guix, Tobias also rightfully suggested adding a ‘getenv’ 
>> call
>> directly in libcurl, which may be the better long-term solution 
>> (though
>> it’s unclear whether that could interfere with application 
>> logic.)
>
> This idea has been around for a pretty long time.  I don’t 
> really like
> it, but it would solve so many problems where users of libcurl 
> don’t do
> env var lookups and fall back to the default, which is not 
> guaranteed to
> exist when using Guix on foreign distros or even on Guix System.

Yeah, I explicitly said it was evil ;-)

I don't ‘like’ it either, but don't know enough about libcurl to 
think of a better solution.

Kind regards,

T G-R